i2d_PKCS7_bio_stream(3) | OpenSSL | i2d_PKCS7_bio_stream(3)

# NAME

i2d_PKCS7_bio_stream - output PKCS7 structure in BER format.

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/pkcs7.h>
     int i2d_PKCS7_bio_stream(BIO *out, PKCS7 *p7, BIO *data, int flags);

# DESCRIPTION

i2d_PKCS7_bio_stream() outputs a PKCS7 structure in BER format.
It is otherwise identical to the function SMIME_write_PKCS7().

# NOTES

This function is effectively a version of the d2i_PKCS7_bio() supporting streaming.

# BUGS

The prefix "i2d" is arguably wrong because the function outputs BER format.

# RETURN VALUES

i2d_PKCS7_bio_stream() returns 1 for success or 0 for failure.

# SEE ALSO

ERR_get_error(3), PKCS7_sign(3), PKCS7_verify(3), PKCS7_encrypt(3) PKCS7_decrypt(3), SMIME_write_PKCS7(3), PEM_write_bio_PKCS7_stream(3)

# HISTORY

i2d_PKCS7_bio_stream() was added to OpenSSL 1.0.0

2016-10-14 | 1.0.2k